Name:        iosevka-term-slab-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/IosevkaTermSlab.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 IosevkaTermSlabNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Bold.ttf
install -Dm644 IosevkaTermSlabNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-BoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFont-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-BoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFont-ExtraBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBold.ttf
install -Dm644 IosevkaTermSlabNerdFont-ExtraBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFont-ExtraBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Italic.ttf
install -Dm644 IosevkaTermSlabNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Light.ttf
install -Dm644 IosevkaTermSlabNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-LightItalic.ttf
install -Dm644 IosevkaTermSlabNerdFont-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-LightOblique.ttf
install -Dm644 IosevkaTermSlabNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Medium.ttf
install -Dm644 IosevkaTermSlabNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-MediumItalic.ttf
install -Dm644 IosevkaTermSlabNerdFont-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-MediumOblique.ttf
install -Dm644 IosevkaTermSlabNerdFont-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Oblique.ttf
install -Dm644 IosevkaTermSlabNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Regular.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Bold.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-BoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-BoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-ExtraBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBold.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-ExtraBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-ExtraBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Italic.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Light.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-LightItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-LightOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Medium.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-MediumItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-MediumOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Oblique.ttf
install -Dm644 IosevkaTermSlabNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Regular.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Bold.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-BoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-BoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-ExtraBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBold.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-ExtraBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBoldItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-ExtraBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBoldOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Italic.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Light.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-LightItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-LightOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Medium.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-MediumItalic.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-MediumOblique.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Oblique.ttf
install -Dm644 IosevkaTermSlabNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-BoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-ExtraBoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-LightOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-MediumOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Oblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-BoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-ExtraBoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-LightOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-MediumOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Oblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-BoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBold.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBoldItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-ExtraBoldOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-LightOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-MediumOblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Oblique.ttf
%{_datadir}/fonts/%{name}/IosevkaTermSlabNerdFontPropo-Regular.ttf
%license "LICENSE.md"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
